
Redmine - Feature #21503

Option for email self-notification

2015-12-13 18:54 - Mike Sweetman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I patched r14976 to add an option for email self-notification. It would be nice to include this feature in the core as well as #21447. See

attached diff.

Thanks!

Related issues:

Related to Redmine - Feature #14574: "I don't want to be notified of changes ... Closed

Related to Redmine - Feature #24629: Add option to decide default value for "... Closed

Has duplicate Redmine - Feature #16172: Global setting of excluding email not... Closed

History

#1 - 2015-12-15 11:37 - Go MAEDA

+1

I hope that the value is set to 0 by default. I think there are few people who want to receive notifications about themselves.

#2 - 2015-12-15 11:38 - Go MAEDA

- Related to Feature #14574: "I don't want to be notified of changes that I make myself" as Default for all User added

#3 - 2015-12-26 06:30 - Go MAEDA

- Target version set to 3.3.0

#4 - 2016-01-12 01:19 - Toshi MARUYAMA

- Target version deleted (3.3.0)

Could you add test like r14974?

#5 - 2016-01-12 01:26 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2016-01-12 05:42 - Mike Sweetman

- File Email_Self_Notification_Setting.diff added

Sure, here's the updated patch.

#7 - 2016-01-12 05:57 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.3.0

#8 - 2016-03-20 10:41 - Jean-Philippe Lang

Do we really need a setting for that? Can't we just check "I don't want to be notified of changes that I make myself" by default?

#9 - 2016-03-20 16:16 - Mike Sweetman

Jean-Philippe Lang wrote:

Do we really need a setting for that? Can't we just check "I don't want to be notified of changes that I make myself" by default?
 I do. Very few of my users ever edit their account info after they register. Most of them are not developers, and many are not comfortable taking their

account settings into their own hands. But I know they'd like fewer emails.

#10 - 2016-03-21 07:51 - Go MAEDA

Jean-Philippe Lang wrote:

Do we really need a setting for that? Can't we just check "I don't want to be notified of changes that I make myself" by default?

 Setting the value of "I don't want to be notified of changes that I make myself" to True by default (#14574) is good enough for me.

#11 - 2016-04-03 13:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version deleted (3.3.0)

- Resolution set to Duplicate

"I don't want to be notified of changes that I make myself" is now checked by default for new users (#14574).

#12 - 2016-05-09 08:09 - Go MAEDA

- Has duplicate Feature #16172: Global setting of excluding email notifications from my own actions added

#13 - 2016-12-17 03:33 - Go MAEDA

- Related to Feature #24629: Add option to decide default value for "I don't want to be notified of changes that I make myself" added

Files

Email_Self_Notification_Setting.diff 2.07 KB 2015-12-13 Mike Sweetman

Email_Self_Notification_Setting.diff 2.84 KB 2016-01-12 Mike Sweetman
